{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to update the Credits for a Subuser.**","properties":{"path":{"type":"object","properties":{"subuser_name":{"type":"string","description":"The username of the Subuser."}},"required":["subuser_name"],"additionalProperties":false},"body":{"$ref":"#/definitions/SubuserCreditsRequest"}},"required":["path","body"],"additionalProperties":false,"definitions":{"SubuserCreditsRequest":{"title":"Subuser Credits reset request body","type":"object","properties":{"type":{"allOf":[{"$ref":"#/definitions/Type1"},{"type":"string"}]},"reset_frequency":{"allOf":[{"$ref":"#/definitions/ResetFrequency1"},{"type":"string"}]},"total":{"type":"integer","description":"Total number of credits to which the Subuser is to be reset. If `type` is `nonrecurring` then the Subuser's credits will be reset to `total` on a one-time basis. If `type` is `recurring` then the Subuser's credits will be reset to `total` every time a reset is scheduled in accordance with the `reset_frequency`. Do _not_ include `total` if you choose a reset `type` value of `unlimited`.","minimum":1}},"required":["type"]},"Type1":{"type":"string","enum":["unlimited","recurring","nonrecurring"]},"ResetFrequency1":{"type":"string","enum":["monthly","weekly","daily"]}}},"name":"Update the Credits for a Subuser","id":"sendgrid.subusers.updatesubusercredit","example":{"path":{"subuser_name":"example"},"body":{"type":"unlimited"}},"maxRequests":1,"summary":false}}